Bug 13648 - OPAC = hidden removes pull down from item form
Summary: OPAC = hidden removes pull down from item form
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-30 17:44 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13648: OPAC = hidden removes pull down from edit item form (2.25 KB, patch)
2015-02-08 21:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13648: OPAC = hidden removes pull down from edit item form (2.25 KB, patch)
2015-02-08 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
0001-SIGNED-OFF-Bug-13648-OPAC-hidden-removes-pull-down (2.33 KB, patch)
2015-03-02 08:41 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 13648: OPAC = hidden removes pull down from edit item form (2.38 KB, patch)
2015-03-05 12:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-30 17:44:46 UTC
If you uncheck the checkbox OPAC in the bibliographic form for a item subfield that is linked to an authorized value list, the pull down will disappear from the item form.

1) Go to administration > bibliographic frameworks
2) Select a framework and go to the item field (MARC21: 952)
3) Edit a subfield with an authorized values list like damaged, lost or similar
4) Uncheck the checkbox for OPAC visibility
5) Edit or add an item within your chosen framework
6) Verify the subfield code and description are shown, but the pull down
   has disappeared
Comment 1 Katrin Fischer 2015-02-08 21:11:02 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-02-08 21:25:47 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2015-02-28 00:04:44 UTC
(In reply to Katrin Fischer from comment #2)

> 8) Also test following hidden combination works correctly:
>    OPAC: checked
>    All other options: unchecked

Hiding in the staff client does not work for me, I can still see the status. The problem given in the bug description is solved though.
Comment 4 Nicole C. Engard 2015-03-02 08:41:14 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-03-05 12:38:16 UTC
Created attachment 36573 [details] [review]
Bug 13648: OPAC = hidden removes pull down from edit item form

If you uncheck the checkbox OPAC in the bibliographic framework
definition for an item subfield that is linked to an authorized
value list, the pull down will disappear from the item edit
form on staff. The label still shows.

1) Go to administration > bibliographic frameworks
2) Select a framework and go to the item field (MARC21: 952)
3) Edit a subfield with an authorized values list like damaged,
   lost or withdrawn
4) Uncheck the checkbox for OPAC visibility
5) Edit or add an item within your chosen framework
6) Verify the subfield code and description are shown, but the
   pull down has disappeared
7) Apply patch, verify the pull down shows now
8) Also test following hidden combination works correctly:
   OPAC: checked
   All other options: unchecked

Documentation of hidden values:
http://wiki.koha-community.org/wiki/Hidden_values

With special thanks to Jonathan Druart for helping me figure this out!

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Tomás Cohen Arazi 2015-03-15 12:11:42 UTC
Patch pushed to master.

Thanks Katrina!
Comment 7 Chris Cormack 2015-03-16 00:30:22 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 8 Mason James 2015-03-27 03:33:38 UTC
Pushed to 3.16.x, will be in 3.16.9